aboutsummaryrefslogtreecommitdiff
path: root/testsuite/egrep.tests
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/egrep.tests')
-rwxr-xr-xtestsuite/egrep.tests20
1 files changed, 20 insertions, 0 deletions
diff --git a/testsuite/egrep.tests b/testsuite/egrep.tests
new file mode 100755
index 000000000..b634649bb
--- /dev/null
+++ b/testsuite/egrep.tests
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# egrep tests.
+# Copyright 2005 by Rob Landley <rob@landley.net>
+# Licensed under GPL v2, see file LICENSE for details.
+
+# AUDIT:
+
+[ ${#COMMAND} -eq 0 ] && COMMAND=egrep
+. testing.sh
+
+# Depends on FEATURE_GREP_EGREP_ALIAS
+_BB_CONFIG_DEP=FEATURE_GREP_EGREP_ALIAS
+
+testing "grep is also egrep" "foo" "foo\n" "" "foo\nbar\n"
+testing "egrep is not case insensitive" "foo ; [ \$? -ne 0 ] && echo yes" \
+ "yes\n" "" "FOO\n"
+
+
+exit $FAILCOUNT